From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/gnome-music/
Date: Wed, 9 Jun 2021 22:44:49 +0000 (UTC) [thread overview]
Message-ID: <1623278683.78de16124a8079ca35362f9428bb8f86997b6848.mattst88@gentoo> (raw)
commit: 78de16124a8079ca35362f9428bb8f86997b6848
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 9 22:39:27 2021 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Jun 9 22:44:43 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=78de1612
media-sound/gnome-music: Version bump to 40.1.1
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
media-sound/gnome-music/Manifest | 1 +
media-sound/gnome-music/gnome-music-40.1.1.ebuild | 79 +++++++++++++++++++++++
2 files changed, 80 insertions(+)
diff --git a/media-sound/gnome-music/Manifest b/media-sound/gnome-music/Manifest
index cdb63278bc3..1e13ebf460f 100644
--- a/media-sound/gnome-music/Manifest
+++ b/media-sound/gnome-music/Manifest
@@ -1 +1,2 @@
DIST gnome-music-40.0.tar.xz 977412 BLAKE2B acb1823fce3bb7fc8a319a22125deb2c36f4c5cb18f3ea3d21462c1fc71fb52deeb21ffb52ecd5f57aecc975e21dbcec82122f3d4c6fa10f088280efe314a4b7 SHA512 7b1cecd4afe22439e1ee4975c9f6a98690d7abc3a02914483284c258c9bc265d5b3c75cbc9e216603aaeacdc4fdeeff250f2c4e8eff01b84cfe313004266d93f
+DIST gnome-music-40.1.1.tar.xz 978092 BLAKE2B cf9e41e1d519431c33edbd03eb72565612d127d7f6fd82ca34d46b1b3ed58073b7435d3b5b80b149a5fc47ea549018756914dbef5e512cb036303b64b4882083 SHA512 3095dfd31dc32f831e776055d5c1f8c32af5958be632050f709f5c3991b272769edac09a339638de2accf6aae4bf6e8dd1f377a0136897eade2c21d2ebce5f5e
diff --git a/media-sound/gnome-music/gnome-music-40.1.1.ebuild b/media-sound/gnome-music/gnome-music-40.1.1.ebuild
new file mode 100644
index 00000000000..e4f1fbfad03
--- /dev/null
+++ b/media-sound/gnome-music/gnome-music-40.1.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit gnome.org gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Music management for Gnome"
+HOMEPAGE="https://wiki.gnome.org/Apps/Music"
+
+LICENSE="GPL-2+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+DEPEND="${PYTHON_DEPS}
+ >=dev-libs/glib-2.50:2
+ >=net-libs/gnome-online-accounts-3.35.90[introspection]
+ >=dev-libs/gobject-introspection-1.54:=
+ >=x11-libs/gtk+-3.24.7:3[introspection]
+ >=dev-libs/libdazzle-3.28.0[introspection]
+ >=media-libs/libmediaart-1.9.1:2.0[introspection]
+ net-libs/libsoup:2.4[introspection]
+ app-misc/tracker:3=[introspection(+)]
+ >=x11-libs/pango-1.44:=
+ $(python_gen_cond_dep '
+ >=dev-python/pygobject-3.36.1:3[cairo,${PYTHON_MULTI_USEDEP}]
+ >=dev-python/pycairo-1.14.0[${PYTHON_MULTI_USEDEP}]
+ ')
+ >=media-libs/grilo-0.3.13:0.3[introspection]
+ >=media-plugins/grilo-plugins-0.3.13:0.3
+"
+# xdg-user-dirs-update needs to be there to create needed dirs
+# https://bugzilla.gnome.org/show_bug.cgi?id=731613
+RDEPEND="${DEPEND}
+ || (
+ app-misc/tracker-miners:3[gstreamer]
+ app-misc/tracker-miners:3[ffmpeg]
+ )
+ x11-libs/libnotify[introspection]
+ media-libs/gstreamer:1.0[introspection]
+ media-libs/gst-plugins-base:1.0[introspection]
+ media-plugins/gst-plugins-meta:1.0
+ media-plugins/grilo-plugins:0.3[tracker]
+ x11-misc/xdg-user-dirs
+"
+BDEPEND="
+ dev-libs/libxml2:2
+ dev-util/itstool
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+pkg_setup() {
+ python_setup
+}
+
+src_prepare() {
+ sed -e '/sys.path.insert/d' -i "${S}"/gnome-music.in || die "python fixup sed failed"
+ xdg_src_prepare
+}
+
+src_install() {
+ meson_src_install
+ python_fix_shebang "${D}"/usr/bin/gnome-music
+ python_optimize
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_schemas_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_schemas_update
+}
next reply other threads:[~2021-06-09 22:44 UTC|newest]
Thread overview: 88+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-06-09 22:44 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-20 20:37 [gentoo-commits] repo/gentoo:master commit in: media-sound/gnome-music/ Arthur Zamarin
2024-10-17 8:51 Pacho Ramos
2024-07-17 12:12 Pacho Ramos
2024-07-17 12:12 Pacho Ramos
2024-05-06 7:09 Mart Raudsepp
2024-04-22 17:39 Arthur Zamarin
2024-04-22 17:39 Arthur Zamarin
2024-03-02 22:41 Mart Raudsepp
2024-02-22 20:47 Arthur Zamarin
2024-02-17 16:01 Mart Raudsepp
2024-02-10 18:53 Arthur Zamarin
2024-02-10 18:53 Arthur Zamarin
2023-09-16 22:53 Matt Turner
2023-06-19 15:30 Matt Turner
2023-06-17 17:12 Arthur Zamarin
2023-06-09 7:46 Arthur Zamarin
2023-06-09 7:46 Arthur Zamarin
2023-04-10 20:52 Matt Turner
2022-10-29 17:44 Matt Turner
2022-05-28 5:45 Sam James
2022-05-28 1:27 Sam James
2022-05-28 1:20 Sam James
2022-04-26 21:43 Matt Turner
2022-03-26 0:23 Matt Turner
2022-03-08 9:35 Sam James
2022-02-08 4:45 Sam James
2022-01-27 2:48 Matt Turner
2022-01-15 21:51 Mart Raudsepp
2022-01-15 21:51 Mart Raudsepp
2022-01-15 21:51 Mart Raudsepp
2021-12-31 3:42 Yixun Lan
2021-07-26 7:15 Matt Turner
2021-07-10 15:40 Sam James
2021-06-07 6:24 Georgy Yakovlev
2021-04-28 16:27 Matt Turner
2021-04-13 16:12 Matt Turner
2021-04-01 16:44 Thomas Deutschmann
2021-03-12 8:01 Mikle Kolyada
2020-12-19 15:14 Mart Raudsepp
2020-11-07 15:23 Mart Raudsepp
2020-08-30 18:09 Sam James
2020-08-30 15:17 Thomas Deutschmann
2020-08-14 8:23 Mart Raudsepp
2020-07-04 15:07 Mart Raudsepp
2020-06-29 15:42 Mikle Kolyada
2020-06-28 14:19 Thomas Deutschmann
2020-06-02 21:52 Mart Raudsepp
2020-04-25 20:17 Mart Raudsepp
2020-03-29 9:55 Mart Raudsepp
2020-03-19 19:45 Mart Raudsepp
2020-03-19 19:25 Matt Turner
2020-02-09 16:31 Michał Górny
2019-12-23 22:23 Mart Raudsepp
2019-12-08 11:52 Mikle Kolyada
2019-12-08 11:41 Mikle Kolyada
2019-10-13 17:50 Mart Raudsepp
2019-10-13 17:50 Mart Raudsepp
2019-08-05 2:05 Aaron Bauman
2019-05-18 23:05 Mart Raudsepp
2019-04-09 21:09 Mikle Kolyada
2019-04-08 2:18 Thomas Deutschmann
2019-03-31 6:10 Mart Raudsepp
2019-03-16 23:03 Mart Raudsepp
2019-01-17 13:13 Mart Raudsepp
2019-01-17 13:13 Mart Raudsepp
2018-06-23 10:24 Pacho Ramos
2018-02-03 23:00 Mart Raudsepp
2018-01-27 0:41 Thomas Deutschmann
2018-01-18 2:40 Mikle Kolyada
2017-08-15 9:57 Gilles Dartiguelongue
2017-03-25 18:56 Mart Raudsepp
2017-03-23 16:50 Mart Raudsepp
2017-03-23 13:24 Mart Raudsepp
2016-11-09 8:28 Gilles Dartiguelongue
2016-11-01 23:58 Gilles Dartiguelongue
2016-11-01 23:58 Gilles Dartiguelongue
2016-07-31 8:54 Pacho Ramos
2016-07-02 17:12 Pacho Ramos
2016-07-02 17:12 Pacho Ramos
2016-03-06 18:03 Mikle Kolyada
2015-11-18 12:07 Lars Wendler
2015-11-17 20:23 Pacho Ramos
2015-11-17 20:23 Pacho Ramos
2015-11-15 14:23 Pacho Ramos
2015-11-15 14:23 Pacho Ramos
2015-09-07 19:58 Mikle Kolyada
2015-09-05 11:59 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1623278683.78de16124a8079ca35362f9428bb8f86997b6848.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox